#ifndef CLIENT_H
#define CLIENT_H

#include <QObject>
#include <QtCore>
#include <QtNetwork>
#include <QDateTime>
#include <QTime>
#include <QDate>
#include <QTimer>
#include <QScopedPointer>

class Client : public QObject
{
    Q_OBJECT
public:
    explicit Client(QObject *parent = 0);

signals:

public slots:
    bool writeTcpData(QString data);
    QByteArray readTcpData();
    void connectToExist();

protected:
    QTcpSocket* socket;
    QTimer* timer;
    QString itsHost = "127.0.0.1";
    int itsPort = 1234;
};

#endif // CLIENT_H
